/**
 * Interface holding common constants for possible object header values
 *
 * @author Kuba Madej
 *
 */
public interface ObjectHeader {
	/**
	 * Indicates that memory cell is unoccupied
	 */
	int UNUSED = 0;

	/**
	 * Indicates that memory cell is occupied but not marked as beeing in use
	 */
	int UNMARKED = 1;

	/**
	 * Indicates that memory cell is occupied and marked as beeing in use
	 */
	int MARKED = 2;
}
