/**
 * Heap analyze statement
 *
 * @author Kuba Madej
 *
 */
public class HeapAnalyzeStatement implements Statement {
	/**
	 * Heap to work on
	 */
	private int[] heap;

	/**
	 * Constructs new instance
	 *
	 * @param heap
	 *            heap to work on
	 */
	public HeapAnalyzeStatement(int[] heap) {
		this.heap = heap;
	}

	/**
	 * @see Statement#execute()
	 */
	public void execute() {
		NPJ.heapAnalyze(heap);
	}

}
