import java.util.Arrays;

/**
 * An example implementation of NPJ class
 *
 * @author Kuba Madej
 *
 */
public class NPJ {
	/**
	 * Prints the given string
	 *
	 * @param string
	 *            string to print
	 */
	public static void print(String string) {
		System.out.println("Print: " + string);
	}

	/**
	 * Analyzes heap passed as an argument
	 *
	 * @param heap
	 *            heap to analyze
	 */
	public static void heapAnalyze(int[] heap) {
		System.out.println("HeapAnalyze:   " + Arrays.toString(heap));
	}

	/**
	 * Runs garbage collector
	 *
	 * @param heap
	 *            heap to collect garbage from
	 * @param collector
	 *            garbage collector to run
	 */
	public static void collect(int[] heap, Collector collector) {
		System.out.println("BeforeCollect: " + Arrays.toString(heap));
		collector.collect(heap);
		System.out.println("AfterCollect:  " + Arrays.toString(heap));
	}
}
